Subject: Re: bug#51321: 29.0.50; date in modelines

From: Niels Søndergaard <[email-masked]>
Date: Sat, 23 Oct 2021 14:34:18 +0200

Dear Daniel,
I’m starting emacs from the GUI in /Applications, even if it’s in a terminal.

You’re not mistaken, the Lisp form gives me the danish version.

So my problem is solved and my case can be closed
Thanks

mvh
Niels
 <applewebdata://7A379128-D1A9-4307-9EB8-DF9851E78710>
Niels Søndergaard
Mariehøj 236, 2990 Nivå
 <tel:+45 4052 2789>+45 4052 [email-masked] <mailto:[email-masked]>
Ultra posse nemo obligatur.

> Den 23. okt. 2021 kl. 14.16 skrev Daniel Martín <[email-masked]>:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>> 
>> I don't know what this means in terms of LC_* locale settings that
>> Emacs sees.  can some macOS expert please chime in and help me
>> understand where is the problem here?
> 
> It depends on how you start Emacs.  The common case on macOS is that
> people start Emacs from the GUI, and in that case the OS doesn't
> configure the locale environment variables.  What the NS port does is it
> uses the OS API to get the locale and applies the environment variables
> manually (see ns_init_locale in nsterm.m).
> 
> I see that ns_init_locale only sets LANG, which seems insufficient for
> this use case.  Perhaps we need to extend ns_init_locale to set other
> LC_ variables as well (LC_TIME is the key here).
> 
> A workaround for now without modifying Emacs (it may be useful for the
> OP) is to evaluate the following ELisp form:
> 
> (setq system-time-locale "da_DK.UTF-8")
> 
> If I'm not mistaken, this would make display-local-time print Danish
> dates when the date format is %c, %a, etc.